package com.simuwang.base.pojo.dto.sys;

import com.simuwang.base.common.support.command.BaseEditCmd;
import com.simuwang.base.pojo.dos.sys.SysMenuDO;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2024/9/13 17:26
 * @description 编辑菜单的接口请求参数
 */
@Setter
@Getter
public class MenuEditCmd extends BaseEditCmd<SysMenuDO> {
    /**
     * 菜单id
     */
    @NotNull(message = "菜单id不能为空")
    private Integer menuId;
    /**
     * 上级菜单
     */
    @NotNull(message = "上级菜单不能为空")
    private Integer parentId;
    /**
     * 菜单名称
     */
    private String menuName;
    /**
     * 权限标识
     */
    private String perms;
    /**
     * 类型（M目录 C菜单 F按钮）
     */
    private String menuType;
    /**
     * 路由地址
     */
    private String path;
    /**
     * 组件路径
     */
    private String component;
    /**
     * 显示状态（0显示 1隐藏）
     */
    private Integer visible;
    /**
     * 菜单状态
     */
    private Integer status;

    private String remark;

    @Override
    public SysMenuDO toEntity() {
        SysMenuDO entity = new SysMenuDO();
        entity.setMenuId(this.menuId);
        entity.setParentId(this.parentId);
        entity.setMenuName(this.menuName);
        entity.setMenuType(this.menuType);
        entity.setPath(this.path);
        entity.setPerms(this.perms);
        entity.setComponent(this.component);
        entity.setVisible(this.visible);
        entity.setStatus(this.status);
        entity.setRemark(this.remark);
        return entity;
    }
}
